#include<bits/stdc++.h>
using namespace std;
double a[200050],p[200050],porezi[200050];
long long n,x,y;
double suma;
int k,i;
int main(){
    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>a[i]>>p[i];
    }

    for(int i=1;i<=n;i++){
            suma=0;
        for(int k=1;k<=n;k++){
        if(p[i]<=p[k]){
            suma+=a[k];

        }
                porezi[i]=(p[i]/100)*suma;
        }
    }


    double maxi=porezi[1];
    for (int i=2;i<=n;i++){
    if (porezi[i]>maxi)
     maxi=porezi[i];
    }
    cout<<setprecision(4)<<fixed;

    cout<<maxi;

    return 0;
}